Bug 864876 - Validation ignore task form when use space character in property "Task name"
Validation ignore task form when use space character in property "Task name"
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 06:31 EDT by Sona Mala
Modified: 2014-10-26 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A validation error occurred when task names contained the space character. Users would receive a false error regarding no task form being defined. This has been fixed in Process Designer by omitting the false visual validation error and allowing task names to contain special space characters.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2012-10-10 06:31:01 EDT
Description of problem:
Validation marks a human task by alert "User Task has no task form defined" when Task Name contains space, but the task form exists.

Version-Release number of selected component (if applicable):
BRMS 5.3.1 ER2, designer 2.3.1-DEV

How reproducible:
Every time

Steps to Reproduce:
1. Create simple process (Start->Human task->End)
2. Set property "Task Name" of Human task to "task name"
3. Click on icon "Generate task form"
4. Check if task form (task name-taskform.flt) exists in package
5. Validate process
  
Actual results:
The validator marks a human task by alert "User Task has no task form defined".

Expected results:
In case that space is valid character for Task Name: 
 - alert "There are no validation error".
In case that space is invalid character for Task Name: 
 - do not generate task form for invalid Task Name
 - validator marks a human task by alert "Task Name is not valid"

Additional info:
I do not find any integrity constraints for Task Name in documentation.
Comment 1 Tihomir Surdilovic 2012-10-11 17:40:06 EDT
Fixed in community. Raise to blocker if we need to include it in 5.3.1
Comment 2 Tihomir Surdilovic 2012-10-17 10:53:49 EDT
Fix committed in 2.3.x Designer branch.
Comment 3 Douglas Hoffman 2012-11-05 21:14:13 EST
Thanks for the information within the Doc Text. I have reworded it for Release Notes specifications.
Thanks again, guys.

- Doug
Comment 4 Sona Mala 2012-11-14 02:59:12 EST
Verified for: EAP 5.1, deployable BRMS 5.3.1 ER4, designer 2.3.1-DEV

Validator was fixed

Note You need to log in before you can comment on or make changes to this bug.